<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>SDKSharedPreferences</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SDKSharedPreferences";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html" target="_top">Frames</a></li>
<li><a href="SDKSharedPreferences.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.internal.shared_preferences</div>
<h2 title="Class SDKSharedPreferences" class="title">Class SDKSharedPreferences</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.internal.shared_preferences.SDKSharedPreferences</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SDKSharedPreferences</span>
extends java.lang.Object
implements <a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#mKeystoreWrapper">mKeystoreWrapper</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.content.SharedPreferences</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#mSharedPreferences">mSharedPreferences</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#SDKSharedPreferences-android.content.Context-com.myclay.claysdk.internal.keystore.IClayKeystoreWrapper-">SDKSharedPreferences</a></span>(android.content.Context&nbsp;context,
                    <a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a>&nbsp;keystoreWrapper)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#getPrivateKey-java.lang.String-">getPrivateKey</a></span>(java.lang.String&nbsp;installationUID)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#savePrivateKey-java.lang.String-java.lang.String-">savePrivateKey</a></span>(java.lang.String&nbsp;privateKey,
              java.lang.String&nbsp;installationUID)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mSharedPreferences">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSharedPreferences</h4>
<pre>private&nbsp;android.content.SharedPreferences mSharedPreferences</pre>
</li>
</ul>
<a name="mKeystoreWrapper">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mKeystoreWrapper</h4>
<pre>private&nbsp;<a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a> mKeystoreWrapper</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SDKSharedPreferences-android.content.Context-com.myclay.claysdk.internal.keystore.IClayKeystoreWrapper-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SDKSharedPreferences</h4>
<pre>public&nbsp;SDKSharedPreferences(android.content.Context&nbsp;context,
                            <a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a>&nbsp;keystoreWrapper)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="savePrivateKey-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>savePrivateKey</h4>
<pre>public&nbsp;void&nbsp;savePrivateKey(java.lang.String&nbsp;privateKey,
                           java.lang.String&nbsp;installationUID)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html#savePrivateKey-java.lang.String-java.lang.String-">savePrivateKey</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a></code></dd>
</dl>
</li>
</ul>
<a name="getPrivateKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPrivateKey</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPrivateKey(java.lang.String&nbsp;installationUID)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html#getPrivateKey-java.lang.String-">getPrivateKey</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html" target="_top">Frames</a></li>
<li><a href="SDKSharedPreferences.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
